Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Schedules

Get a schedule

GET /schedules/{id}

Retrieves the specified schedule resource.

Query parameters

api-version string required

The API version to use for this operation.

Path parameters

id string required

Identifier of the schedule.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Schedules=V1Preview

Responses

The request has succeeded.

Body

Content-Type: application/json
id string required

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean required

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

Any of the following:
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime required

Base model for Trigger of the schedule.

One of the following:
Cron CronTrigger

Cron based trigger.

type enum required
Cron
expression string required

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum required

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer required

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly required

Recurrence schedule model.

One of the following:
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum required
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum required

Daily recurrence type.

Daily
hours integer[] required

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum required

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] required

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum required

Monthly recurrence type.

Monthly
daysOfMonth integer[] required

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum required
OneTime
triggerAt string required

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight required

Schedule task model.

One of the following:
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum required
Evaluation
evalId string required

Identifier of the evaluation group.

evalRun object required

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum required
Insight
insight Insight required

The response body for cluster insights.

id string required

The unique identifier for the insights report.

metadata InsightsMetadata required

Metadata about the insights.

createdAt string required

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string required

Enum describing allowed operation states.

Any of the following:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string required

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison required

The request of the insights report.

One of the following:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum required

The type of insights request.

EvaluationRunClusterInsight
evalId string required

Evaluation Id for the insights.

runIds string[] required

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string required

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum required

The type of request.

AgentClusterInsight
agentName string required

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string required

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum required

The type of request.

EvaluationComparison
evalId string required

Identifier for the evaluation.

baselineRunId string required

The baseline run ID for comparison.

treatmentRunIds string[] required

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

One of the following:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum required

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] required

Comparison results for each treatment run against the baseline.

method string required

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum required

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult required

Insights from the cluster analysis.

summary InsightSummary required

Summary of the error cluster analysis.

sampleCount integer required

Total number of samples analyzed.

uniqueSubclusterCount integer required

Total number of unique subcluster labels.

uniqueClusterCount integer required

Total number of unique clusters.

method string required

Method used for clustering.

usage ClusterTokenUsage required

Token usage for cluster analysis

inputTokenUsage integer required

input token usage

outputTokenUsage integer required

output token usage

totalTokenUsage integer required

total token usage

clusters InsightCluster[] required

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer required

X-axis coordinate.

y integer required

Y-axis coordinate.

size integer required

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum required

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult required

Insights from the cluster analysis.

summary InsightSummary required

Summary of the error cluster analysis.

sampleCount integer required

Total number of samples analyzed.

uniqueSubclusterCount integer required

Total number of unique subcluster labels.

uniqueClusterCount integer required

Total number of unique clusters.

method string required

Method used for clustering.

usage ClusterTokenUsage required

Token usage for cluster analysis

inputTokenUsage integer required

input token usage

outputTokenUsage integer required

output token usage

totalTokenUsage integer required

total token usage

clusters InsightCluster[] required

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer required

X-axis coordinate.

y integer required

Y-axis coordinate.

size integer required

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object required

System metadata for the resource.

[key: string] string

Client error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error Azure.Core.Foundations.Error required

The error object.

code string required

One of a server-defined set of error codes.

message string required

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error Azure.Core.Foundations.Error required

The error object.

code string required

One of a server-defined set of error codes.

message string required

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Request

GET /schedules/{id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026